Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlSceneObserver Class Reference

`#include <GlSceneObserver.h>`

Inherited by tlp::GlQuadTreeLODCalculator.

Inheritance diagram for tlp::GlSceneObserver:

[legend]
List of all members.

## Detailed Description

An observer to the scene An observer to the scene who observe layers.

## Public Member Functions

- virtual ~GlSceneObserver ()
- virtual void addLayer (GlScene *, const std::string &, GlLayer *)
- virtual void delLayer (GlScene *, const std::string &, GlLayer *)
- virtual void modifyLayer (GlScene *, const std::string &, GlLayer *)
- virtual void modifyEntity (GlScene *, GlSimpleEntity *)

## Constructor & Destructor Documentation

virtual tlp::GlSceneObserver::~GlSceneObserver | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlSceneObserver::addLayer | ( | GlScene * | ,
|  | const std::string & | ,
|  | GlLayer * |
| ) | `[inline, virtual]`

| This function is call when we add a new layer Reimplemented in tlp::GlQuadTreeLODCalculator.

virtual void tlp::GlSceneObserver::delLayer | ( | GlScene * | ,
|  | const std::string & | ,
|  | GlLayer * |
| ) | `[inline, virtual]`

| This function is call when we remove a layer Reimplemented in tlp::GlQuadTreeLODCalculator.

virtual void tlp::GlSceneObserver::modifyEntity | ( | GlScene * | ,
|  | GlSimpleEntity * |
| ) | `[inline, virtual]`

| This function is call when we modify an entity Reimplemented in tlp::GlQuadTreeLODCalculator.

virtual void tlp::GlSceneObserver::modifyLayer | ( | GlScene * | ,
|  | const std::string & | ,
|  | GlLayer * |
| ) | `[inline, virtual]`

| This function is call when we add an entity to the layer Reimplemented in tlp::GlQuadTreeLODCalculator.

Tulip Software by LaBRI Visualization Team 2001 - 2010